MQUERY(1)

NAME
mquery - small query tool for multicast DNS

SYNOPSIS
mquery [-hsv] [-i IFACE] [-t TYPE] [-w SEC] [NAME]

DESCRIPTION
mquery is a companion tool to mdnsd(8), but can also be used stand-alone with other mDNS servers. It formats and sends mDNS service queries, similar to how mdns-scan(1) works, but with a fraction of the usability.

mquery runs on the system default interface, derived from the routing table. To run on another interface, use the -i IFACE command line option. It runs continuously monitoring for responses to the initial query, by default _services._dns-sd._udp.local.

OPTIONS
This program follows the usual UNIX command line syntax. The options are as follows:

-h  Print a bare bones help message and exits.

-i IFACE
    Interface to run query on, by default the system default interface is used, derived from the routing table.

    Only available on Linux.

-s  By default mquery behaves a lot like mdns-scan(1), which after receiving an initial reply to a scan, sends a specific PTR query to the respondent. This option skips that specific scan and runs mquery in a simple mode.

-t TYPE
    Query type, default 12 (PTR).

-h  Print a help message and exit.

-v  Show program version.

-w SEC
    Delay (approximate) in seconds before automatically exiting.

SEE ALSO
mdns-scan(1) mdnsd(8),

AUTHORS
This mDNS-SD implementation was created in 2003 by Jeremie Miller <jer@jabber.org>. Much later, in 2016, it was adopted by Joachim Wiberg <troglobit@gmail.com> for further development and maintenance at GitHub: <https://github.com/troglobit/mdnsd>.